#
# spec file for package anjuta (Version 0.1.7)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile control-center control-center-devel esound esound-devel gdk-pixbuf gdk-pixbuf-devel glib glib-devel gnome-libs gnome-libs-devel gnome-utils gpc gpp gtk gtk-devel gxmhtml imlib imlib-devel indent libgpp libjpeg libpng libtiff libungif libxml libxml-devel libz orbit orbit-devel scrollkeeper xf86 xpm
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress control-center control-center-devel cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gdk-pixbuf gdk-pixbuf-devel gettext glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gnome-utils gpc gpm gpp gppshare grep groff gtk gtk-devel gxmhtml gzip imlib imlib-devel indent kbd less libgpp libjpeg libpng libtiff libtool libungif libxml libxml-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg orbit orbit-devel pam pam-devel patch perl ps rcs readline rpm scrollkeeper sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         anjuta
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
Copyright:    GPL
Group:        X11/GNOME/Development
  
Autoreqprov:  on
Version:      0.1.7
Release:      71
Summary:      IDE for GNOME/GTK programs
Source: http://anjuta.sourceforge.net/packages/anjuta-%{version}.tar.bz2
URL: http://anjuta.sourceforge.net/
BuildRoot: /var/tmp/anjuta-root

%description
Anjuta is an IDE (Integrated Development Environment) which can be used
to develop GNOME or GTK software in a comfortable way.

Authors:
--------
    Kh. Naba Kumar Singh (India) <kh_naba@yahoo.com>

SuSE series: gnm

%prep
%setup -n anjuta-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" CXX="g++ $RPM_OPT_FLAGS" \
LIBS=-L/usr/X11R6/lib \
  ./configure \
    --prefix=%prefix \
    --sysconfdir=%sysconfdir \
    --datadir=%prefix/share \
    --localstatedir=/var/lib \
    --with-kde-datadir=/opt/kde
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README COPYING INSTALL TODO AUTHORS 
%{prefix}/bin/anjuta
%{prefix}/bin/anjuta_launcher
%{prefix}/share/gnome/apps/Development/anjuta.desktop
%{prefix}/share/anjuta
%{prefix}/share/gnome/help/anjuta
%{prefix}/share/pixmaps/anjuta
%{prefix}/share/omf/anjuta

%changelog -n anjuta
* Fri Aug 24 2001 - hhetter@suse.de
- update to version 0.1.7, changes include:
  * translation and documentation updates
  * fixed bugs preventing use of the wizard
  * cleaned up user-interface
- filelist corrections and updates
- functionality test on i386
* Mon Aug 13 2001 - hhetter@suse.de
- removed no longer needed patch
- updated to version 0.1.6
* Wed Jun 20 2001 - hhetter@suse.de
- fixed redundand docdir
* Thu Apr 05 2001 - uli@suse.de
- ditched reimplementation of strcasestr (harmful with recent gccs)
- fixed passing of RPM_OPT_FLAGS
* Thu Mar 29 2001 - hhetter@suse.de
- update to version 0.1.4
- use bz2
- filelist review
* Wed Mar 14 2001 - hhetter@suse.de
- changed docdir from gnome/anjuta/ to anjuta/
- filelist corrections
* Mon Mar 12 2001 - hhetter@suse.de
- Update to version 0.1.3
- filelist corrections/updates
- testrun on 7.1
* Mon Jan 22 2001 - hhetter@suse.de
- inital build
